<?php
    require_once("../includes/clase_sesion.php");
    $sesion=new sesion(); // inicio la sesion
    require_once("../includes/MySQL.php");
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	
	$configuracion=$sesion->get('configuracion');
	$nombre_grupo=$configuracion['nombres_grupos'];
	$sede=$_POST['sede'];

	$jornada=$_POST['jornada']; 
	
	$wh=" aca_grupos.cod_sede ='$sede'
			AND aca_grupos.cod_jornada ='$jornada'";
	
	if($sesion->getVar('ac_tipo_user')=='1'){
		$cd_docente=$sesion->getVar("info_doc.cod_profesor");	
		$wh.=" AND aca_asignaturasxgrupos.cod_profesor ='$cd_docente' ";
	}	
	$cons="SELECT
			DISTINCT aux_grados.cod_grado, aux_grados.ide_grado
			, aux_grados.nom_grado
			, aux_grados.seccion
			, aca_grupos.cod_grupo
			, aux_nombres_grupos.$nombre_grupo as grupo
			, CONCAT_WS(' ',pro_profesores.ap1_pro,pro_profesores.ap2_pro, pro_profesores.no1_pro, pro_profesores.no2_pro) AS director,
                        aca_grupos.finalizado as estado
		FROM
			aca_asignaturasxgrupos
			INNER JOIN aca_grupos 
				ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
			INNER JOIN aux_grados 
				ON (aca_grupos.cod_grado = aux_grados.cod_grado)
			INNER JOIN aux_nombres_grupos 
				ON (aca_grupos.cod_nom_grupo = aux_nombres_grupos.cod_nom_grupo)
			INNER JOIN pro_profesores
				ON (pro_profesores.cod_profesor=aca_grupos.cod_director)	
		WHERE ". $wh ." GROUP BY aca_grupos.cod_grupo ORDER BY aux_grados.orden , aux_nombres_grupos.$nombre_grupo";
			
	
		
	//echo $cons;
	$academia->instruccion($cons);
	$curso="";
	$ban=0;	
//	echo "<option value='0x'>$cons</option>";
//	echo "<option value='0x'>Seleccionar...</option>";
	while($reg=$academia->extraer_registro()){		
		
		if($curso!=$reg['cod_grado']){
			if($ban!=0){
				echo "</optgroup>";
				$ban=0;
			}
			echo '<optgroup label="'.$reg['nom_grado'].'">';
			$ban=1;
		}
                $nomGrupo=($reg['estado']==1) ? $reg['grupo']." - Finalizado" : $reg['grupo']; 
                $styleGrupo=($reg['estado']==1) ? 'style="background:#FF8A00"' : '';
                
		if(trim($reg['cod_grupo'])==trim($sel))
			echo "<option ". $styleGrupo." aria-estado='".$reg['estado']."' idgr='".$reg['cod_grado']."' data-per='". $reg[per_disciplina] ."' data-neval='". $reg[num_evaluaciones]."' value='".$reg['cod_grupo']."' selected='selected'>".$nomGrupo."</option>";	
		else
			echo "<option ". $styleGrupo." aria-estado='".$reg['estado']."' idgr='".$reg['cod_grado']."' data-per='". $reg[per_disciplina] ."' data-neval='". $reg[num_evaluaciones]."' value='".$reg['cod_grupo']."'>".$nomGrupo."</option>";		
		$curso=$reg['cod_grado'];
	}
	$academia->liberar();
	$academia->cerrar();
?>